Skip to main content
GET
/
public
/
v1
/
icps
List ICPs
curl --request GET \
  --url http://app.stairoids.com/api/public/v1/icps \
  --header 'X-Api-Key: <api-key>'
[
  {
    "id": 7,
    "name": "Mid-market SaaS",
    "industries": [
      "<string>"
    ],
    "minEmployeeCount": 50,
    "maxEmployeeCount": 1000,
    "headquarterCountries": [
      "<string>"
    ]
  }
]

Authorizations

X-Api-Key
string
header
required

Your organization's public API key. Manage it at GET /api/user/public-api-key.

Response

OK

id
integer<int64>

ICP id.

Example:

7

name
string

ICP name.

Example:

"Mid-market SaaS"

industries
string[]

Target industries.

Target industries.

minEmployeeCount
integer<int32> | null

Minimum employee count.

Example:

50

maxEmployeeCount
integer<int32> | null

Maximum employee count.

Example:

1000

headquarterCountries
string[]

Target headquarter countries.

Target headquarter countries.